# arcHIVE-HTML-template

The HTML/CSS implementation on top of [Foundation](https://get.foundation), from the original design made by [Oficina de Diseny](http://oficinadedisseny.net/) for [arcHIVE project](https://arc-hive.zone)

Build on top of [Foundation for Sites](http://foundation.zurb.com/sites). It has a Gulp-powered build system with these features:

- Handlebars HTML templates with Panini
- Sass compilation and prefixing
- JavaScript module bundling with webpack
- Built-in BrowserSync server
- For production builds:
  - CSS compression
  - JavaScript module bundling with webpack
  - Image compression

## Installation

To use this template, your computer needs:

- [NodeJS](https://nodejs.org/en/) (Version 6 or greater recommended, tested with 6.11.4 and 8.12.0)
- [Git](https://git-scm.com/)

This template can be installed with the Foundation CLI, or downloaded and set up manually.

### Using the CLI

Install the Foundation CLI with this command:

```bash
npm install foundation-cli --global
```

Use this command to set up a blank Foundation for Sites project with this template:

```bash
foundation new
```

The CLI will prompt you to give your project a name. The template will be downloaded into a folder with this name.

Now `cd` to your project name and to start your project run 

```bash
foundation watch
```


A new static site will be created inside the `dist` directory and will be accessible at

```
http://localhost:8000
```

To create compressed, production-ready assets, run 
```bash
foundation build
```
or the `npm` command
```bash
npm run build
```
which will be saved into `dist`.

if you only want to build an specific Asset that will compile into `dist/assets/`

```bash
npm run styles
```
```bash
npm run scripts 
```
```bash
npm run images 
```
To get help for the `cli` just
```bash
foundation help
```
